ELlightMenu = {};

ELlightMenu.doMenu = function(player, context, worldobjects, test)
	
	if test and ISWorldObjectContextMenu.Test then return true end
	
	local thump = nil;

	local square = nil;
	
	for i,v in ipairs(worldobjects) do
		square = v:getSquare();
		if instanceof(v, "IsoThumpable") then
			if not v:haveFuel() then
				if v:getName() == "Lamp on Pillar" or v:getName() == "Electronic Lamp Pillar" or v:getName() == "Light Pole" then
					thump = v;
				end
			end
		end
    end
	
	if test then return ISWorldObjectContextMenu.setTest() end
	
	if thump then
		if thump:isLightSourceOn() then
			--if test == true then return true; end
			context:addOption("Turn Off Electric Lamp", thump, ELlightMenu.onToggleThumpableLight, player);
		elseif thump:getSquare():haveElectricity() or (SandboxVars.ElecShutModifier > -1 and GameTime:getInstance():getNightsSurvived() < SandboxVars.ElecShutModifier) then
			--if test == true then return true; end
			context:addOption("Turn On Electric Lamp", thump, ELlightMenu.onToggleThumpableLight, player);
		end
	end
end


ELlightMenu.onToggleThumpableLight = function(lightSource, player)
	local playerObj = getSpecificPlayer(player)
	if luautils.walkAdj(playerObj, lightSource:getSquare()) then
		ISTimedActionQueue.add(ELToggleLight:new(playerObj, lightSource, 5))
	end
end

Events.OnFillWorldObjectContextMenu.Add(ELlightMenu.doMenu);